GET
/
v1
/
organizations
/
{organizationId}
/
provider-gateway
/
requests
/
{requestId}
/
chunks
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.providerGateway.listProviderRequestChunks({
  organizationId: process.env.OCTOSPARK_ORGANIZATION_ID ?? "organizationId",
  requestId: process.env.OCTOSPARK_REQUEST_ID ?? "requestId",
  query: {},
})
{
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "chunks": [
    {
      "sequence": 123,
      "bodyBase64": "<string>"
    }
  ],
  "hasGap": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Organization id (UUID). Discover ids via the list organizations endpoint or the agent context.

requestId
string<uuid>
required

Request UUID returned when executing or queueing a provider request.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Query Parameters

afterSequence
string

a string to be decoded into a number

Response

Success

requestId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
status
enum<string>
required
Available options:
reserved,
queued,
preparing,
dispatched,
completed,
uncertain,
failed,
billing_hold
chunks
object[]
required
hasGap
boolean
required